{% extends "account/base.html" %}
{% load i18n staticfiles %}
{% load account %}
{% block head_title %}{% trans "Konfirmasi Alamat Email" %} :: {{ block.super }}{% endblock %}

{% block content %}
  <div uk-grid>
    <div class="uk-width-1-1">
      <div class="uk-margin uk-text-center uk-flex uk-flex-center uk-flex-middle">
        <div class="uk-margin-auto uk-width-1-3@s uk-card uk-card-body">
          <div class="uk-flex uk-flex-center uk-flex-middle">
            <a href="/" class="spf-link">
              <canvas width="100" uk-svg="" src="{% static 'images/logos/svg/logo-150x150.svg' %}" style="color: #1e87f0" hidden="true"></canvas>
            </a>
          </div>
          <h5 class="uk-margin-small uk-heading-line uk-text-center">
            <span>{% trans "Konfirmasi Alamat Email" %}</span>
          </h5>

          {% if confirmation %}
            {% user_display confirmation.email_address.user as user_display %}
            <form class="uk-form" method="post" action="{% url 'account_confirm_email' confirmation.key %}">
              {% csrf_token %}
              <div class="uk-margin">
                <div class="uk-text-small uk-text-warning">
                  <p>{% blocktrans with confirmation.email_address.email as email %}Mohon konfirmasi bahwa <a href="mailto:{{ email }}">{{ email }}</a> merupakan alamat email untuk pengguna {{ user_display }}.{% endblocktrans %}</p>
                </div>
              </div>
              <div class="uk-margin">
                <button type="submit" class="uk-button uk-button-primary">{% trans "Konfirmasi" %}</button>
              </div>
            </form>
          {% else %}
            <div class="uk-margin">
              <div class="uk-text-small uk-text-warning">
                {% url 'account_email' as email_url %}
                <p>{% blocktrans %}Link konfirmasi e-mail ini telah kadaluarsa atau tidak valid. Silahkan <a href="{{ email_url }}">kirimkan konfirmasi email yang baru</a>.{% endblocktrans %}</p>
              </div>
            </div>
          {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}
